#!/bin/bash
fps="25"
bitrate="3000k"
read -p 'type in filename >' filename
if [ -z "$filename" ];
then
filename="test"
fi
#ffmpeg -hide_banner -threads 4 -f fbdev -i /dev/fb0 /tmp/$filename
ffmpeg -hide_banner -threads:0 3 -threads:1 1 \
-f fbdev -probesize 42M -framerate $fps -thread_queue_size 1024 -i /dev/fb0 \
-f alsa -probesize 10M -channels 2 -sample_rate 48000 -thread_queue_size 1024 -i default \
-c:v libopenh264 -allow_skip_frames true -b:v $bitrate \
-c:a aac -af asetpts=N/SR/TB /tmp/$filename.mp4
