#!/bin/bash
[ ! -z "${1}" ] && filename="${1}" || read -p 'type in filename >' filename && [ -z "$filename" ] && filename="audio"
ffmpeg -hide_banner -threads 12 -i ~/Music/noise.ogg -f alsa -probesize 80M -channels 2 -sample_rate 48000 -thread_queue_size 16384 -i plughw:0,0 -c:a libvorbis -filter_complex "[1:a:0]asetpts=N/SR/TB[corrected];[0:a:0][corrected]concat=n=2:v=0:a=1[outa];[outa]highpass=300,lowpass=20000,asendcmd=0.0 afftdn sn start,asendcmd=5.0 afftdn sn stop,afftdn=nr=80:tr=on:tn=on:nt=c:om=o,atrim=5,volume=2,asetpts=PTS-STARTPTS[outb]" -map "[outb]" /tmp/"${filename}".ogg
